<?php

function hunchbaque_theme() {
  return array(
    'menu_links_tree' => array(
      'menu' => NULL,
      'attributes' => array(
        'class' => 'menu',
      ),
    ),
    'menu_links_item' => array(
      'item' => NULL,
    ),
    'menu_links_item_link' => array(
      'link' => NULL,
    ),
  );
}

function hunchbaque_menu_links_tree($menu, $attributes = array()) {
  $output = '<ul'.drupal_attributes($attributes).'>'."\n";
  foreach ($menu as $key => $item) {
    //print_r ($item);
    $output .= theme('menu_links_item', $item);
  }
  $output .= '</ul>'."\n";
  return $output;
}

function hunchbaque_menu_links_item($item) {
  //print_r($item);
  $output = '  <li>'.theme('menu_links_item_link', $item).'</li>';
  return $output;
}

function hunchbaque_menu_links_item_link($link) {
  return l($link['title'], $link['href'], $link['attributes']);
}

?>